<?php
namespace Controllers;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\GER\Utilities\Environment;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO;
use \Doctrine\ORM\EntityManager;
use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class ExclusaoCicloProcedures extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'EXCLUI_CICLO_MENUGRID') {
		parent::__construct($connection, $procedureName);
	}

	public function deleteCiclo($cdfilial, $cdcia, $cdmancia, $servico, $classe, $subgrupo, $seq, $ciclo, $nrorg) {

		$this->addParam(new Param('P_CDFILIAL', 		Param::PARAM_INPUT,  $cdfilial));
		$this->addParam(new Param('P_CDCIA', 			Param::PARAM_INPUT,  $cdcia));
		$this->addParam(new Param('P_CDMANCIA', 		Param::PARAM_INPUT,  $cdmancia));
		$this->addParam(new Param('P_NRSERVICOCIAFILI', Param::PARAM_INPUT,  $servico));
		$this->addParam(new Param('P_CDCLASSE', 		Param::PARAM_INPUT,  $classe));
		$this->addParam(new Param('P_CDSUBGRU', 		Param::PARAM_INPUT,  $subgrupo));
		$this->addParam(new Param('P_NRSEQSUBGRUSEMAM',	Param::PARAM_INPUT,  $seq));
		$this->addParam(new Param('P_CDCICLO', 			Param::PARAM_INPUT,  $ciclo));
		$this->addParam(new Param('P_NRORG', 			Param::PARAM_INPUT,  $nrorg));

	    $resultado = $this->execute();
		$this->params = array();

	}
}